BSL430.NET 1.2.1

Public Attributes | List of all members
FTD2XX_NET.FTDI.FT232R_EEPROM_STRUCTURE Class Reference

EEPROM structure specific to FT232R and FT245R devices. Inherits from FT_EEPROM_DATA. More...

Inheritance diagram for FTD2XX_NET.FTDI.FT232R_EEPROM_STRUCTURE:

## Public Attributes
bool | UseExtOsc = false
| Disables the FT232R internal clock source. More...
bool | HighDriveIOs = false
| Enables high current IOs More...
byte | EndpointSize = 64
| Sets the endpoint size. This should always be set to 64 More...
bool | PullDownEnable = false
| Determines if IOs are pulled down when the device is in suspend More...
bool | SerNumEnable = true
| Determines if the serial number is enabled More...
bool | InvertTXD = false
| Inverts the sense of the TXD line More...
bool | InvertRXD = false
| Inverts the sense of the RXD line More...
bool | InvertRTS = false
| Inverts the sense of the RTS line More...
bool | InvertCTS = false
| Inverts the sense of the CTS line More...
bool | InvertDTR = false
| Inverts the sense of the DTR line More...
bool | InvertDSR = false
| Inverts the sense of the DSR line More...
bool | InvertDCD = false
| Inverts the sense of the DCD line More...
bool | InvertRI = false
| Inverts the sense of the RI line More...
byte | Cbus0 = FT_CBUS_OPTIONS.FT_CBUS_SLEEP
| Sets the function of the CBUS0 pin for FT232R devices. Valid values are FT_CBUS_TXDEN, FT_CBUS_PWRON , FT_CBUS_RXLED, FT_CBUS_TXLED, FT_CBUS_TXRXLED, FT_CBUS_SLEEP, FT_CBUS_CLK48, FT_CBUS_CLK24, FT_CBUS_CLK12, FT_CBUS_CLK6, FT_CBUS_IOMODE, FT_CBUS_BITBANG_WR, FT_CBUS_BITBANG_RD More...
byte | Cbus1 = FT_CBUS_OPTIONS.FT_CBUS_SLEEP
| Sets the function of the CBUS1 pin for FT232R devices. Valid values are FT_CBUS_TXDEN, FT_CBUS_PWRON , FT_CBUS_RXLED, FT_CBUS_TXLED, FT_CBUS_TXRXLED, FT_CBUS_SLEEP, FT_CBUS_CLK48, FT_CBUS_CLK24, FT_CBUS_CLK12, FT_CBUS_CLK6, FT_CBUS_IOMODE, FT_CBUS_BITBANG_WR, FT_CBUS_BITBANG_RD More...
byte | Cbus2 = FT_CBUS_OPTIONS.FT_CBUS_SLEEP
| Sets the function of the CBUS2 pin for FT232R devices. Valid values are FT_CBUS_TXDEN, FT_CBUS_PWRON , FT_CBUS_RXLED, FT_CBUS_TXLED, FT_CBUS_TXRXLED, FT_CBUS_SLEEP, FT_CBUS_CLK48, FT_CBUS_CLK24, FT_CBUS_CLK12, FT_CBUS_CLK6, FT_CBUS_IOMODE, FT_CBUS_BITBANG_WR, FT_CBUS_BITBANG_RD More...
byte | Cbus3 = FT_CBUS_OPTIONS.FT_CBUS_SLEEP
| Sets the function of the CBUS3 pin for FT232R devices. Valid values are FT_CBUS_TXDEN, FT_CBUS_PWRON , FT_CBUS_RXLED, FT_CBUS_TXLED, FT_CBUS_TXRXLED, FT_CBUS_SLEEP, FT_CBUS_CLK48, FT_CBUS_CLK24, FT_CBUS_CLK12, FT_CBUS_CLK6, FT_CBUS_IOMODE, FT_CBUS_BITBANG_WR, FT_CBUS_BITBANG_RD More...
byte | Cbus4 = FT_CBUS_OPTIONS.FT_CBUS_SLEEP
| Sets the function of the CBUS4 pin for FT232R devices. Valid values are FT_CBUS_TXDEN, FT_CBUS_PWRON , FT_CBUS_RXLED, FT_CBUS_TXLED, FT_CBUS_TXRXLED, FT_CBUS_SLEEP, FT_CBUS_CLK48, FT_CBUS_CLK24, FT_CBUS_CLK12, FT_CBUS_CLK6 More...
bool | RIsD2XX = false
| Determines if the VCP driver is loaded More...
Public Attributes inherited from FTD2XX_NET.FTDI.FT_EEPROM_DATA
UInt16 | VendorID = 0x0403
| Vendor ID as supplied by the USB Implementers Forum More...
UInt16 | ProductID = 0x6001
| Product ID More...
string | Manufacturer = "FTDI"
| Manufacturer name string More...
string | ManufacturerID = "FT"
| Manufacturer name abbreviation to be used as a prefix for automatically generated serial numbers More...
string | Description = "USB-Serial Converter"
| Device description string More...
string | SerialNumber = ""
| Device serial number string More...
UInt16 | MaxPower = 0x0090
| Maximum power the device needs More...
bool | SelfPowered = false
| Indicates if the device has its own power supply (self-powered) or gets power from the USB port (bus-powered) More...
bool | RemoteWakeup = false
| Determines if the device can wake the host PC from suspend by toggling the RI line More...

## Detailed Description

EEPROM structure specific to FT232R and FT245R devices. Inherits from FT_EEPROM_DATA.

## Member Data Documentation

## ◆ Cbus0

byte FTD2XX_NET.FTDI.FT232R_EEPROM_STRUCTURE.Cbus0 = FT_CBUS_OPTIONS.FT_CBUS_SLEEP

Sets the function of the CBUS0 pin for FT232R devices. Valid values are FT_CBUS_TXDEN, FT_CBUS_PWRON , FT_CBUS_RXLED, FT_CBUS_TXLED, FT_CBUS_TXRXLED, FT_CBUS_SLEEP, FT_CBUS_CLK48, FT_CBUS_CLK24, FT_CBUS_CLK12, FT_CBUS_CLK6, FT_CBUS_IOMODE, FT_CBUS_BITBANG_WR, FT_CBUS_BITBANG_RD

## ◆ Cbus1

byte FTD2XX_NET.FTDI.FT232R_EEPROM_STRUCTURE.Cbus1 = FT_CBUS_OPTIONS.FT_CBUS_SLEEP

Sets the function of the CBUS1 pin for FT232R devices. Valid values are FT_CBUS_TXDEN, FT_CBUS_PWRON , FT_CBUS_RXLED, FT_CBUS_TXLED, FT_CBUS_TXRXLED, FT_CBUS_SLEEP, FT_CBUS_CLK48, FT_CBUS_CLK24, FT_CBUS_CLK12, FT_CBUS_CLK6, FT_CBUS_IOMODE, FT_CBUS_BITBANG_WR, FT_CBUS_BITBANG_RD

## ◆ Cbus2

byte FTD2XX_NET.FTDI.FT232R_EEPROM_STRUCTURE.Cbus2 = FT_CBUS_OPTIONS.FT_CBUS_SLEEP

Sets the function of the CBUS2 pin for FT232R devices. Valid values are FT_CBUS_TXDEN, FT_CBUS_PWRON , FT_CBUS_RXLED, FT_CBUS_TXLED, FT_CBUS_TXRXLED, FT_CBUS_SLEEP, FT_CBUS_CLK48, FT_CBUS_CLK24, FT_CBUS_CLK12, FT_CBUS_CLK6, FT_CBUS_IOMODE, FT_CBUS_BITBANG_WR, FT_CBUS_BITBANG_RD

## ◆ Cbus3

byte FTD2XX_NET.FTDI.FT232R_EEPROM_STRUCTURE.Cbus3 = FT_CBUS_OPTIONS.FT_CBUS_SLEEP

Sets the function of the CBUS3 pin for FT232R devices. Valid values are FT_CBUS_TXDEN, FT_CBUS_PWRON , FT_CBUS_RXLED, FT_CBUS_TXLED, FT_CBUS_TXRXLED, FT_CBUS_SLEEP, FT_CBUS_CLK48, FT_CBUS_CLK24, FT_CBUS_CLK12, FT_CBUS_CLK6, FT_CBUS_IOMODE, FT_CBUS_BITBANG_WR, FT_CBUS_BITBANG_RD

## ◆ Cbus4

byte FTD2XX_NET.FTDI.FT232R_EEPROM_STRUCTURE.Cbus4 = FT_CBUS_OPTIONS.FT_CBUS_SLEEP

Sets the function of the CBUS4 pin for FT232R devices. Valid values are FT_CBUS_TXDEN, FT_CBUS_PWRON , FT_CBUS_RXLED, FT_CBUS_TXLED, FT_CBUS_TXRXLED, FT_CBUS_SLEEP, FT_CBUS_CLK48, FT_CBUS_CLK24, FT_CBUS_CLK12, FT_CBUS_CLK6

## ◆ EndpointSize

byte FTD2XX_NET.FTDI.FT232R_EEPROM_STRUCTURE.EndpointSize = 64

Sets the endpoint size. This should always be set to 64

## ◆ HighDriveIOs

bool FTD2XX_NET.FTDI.FT232R_EEPROM_STRUCTURE.HighDriveIOs = false

Enables high current IOs

## ◆ InvertCTS

bool FTD2XX_NET.FTDI.FT232R_EEPROM_STRUCTURE.InvertCTS = false

Inverts the sense of the CTS line

## ◆ InvertDCD

bool FTD2XX_NET.FTDI.FT232R_EEPROM_STRUCTURE.InvertDCD = false

Inverts the sense of the DCD line

## ◆ InvertDSR

bool FTD2XX_NET.FTDI.FT232R_EEPROM_STRUCTURE.InvertDSR = false

Inverts the sense of the DSR line

## ◆ InvertDTR

bool FTD2XX_NET.FTDI.FT232R_EEPROM_STRUCTURE.InvertDTR = false

Inverts the sense of the DTR line

## ◆ InvertRI

bool FTD2XX_NET.FTDI.FT232R_EEPROM_STRUCTURE.InvertRI = false

Inverts the sense of the RI line

## ◆ InvertRTS

bool FTD2XX_NET.FTDI.FT232R_EEPROM_STRUCTURE.InvertRTS = false

Inverts the sense of the RTS line

## ◆ InvertRXD

bool FTD2XX_NET.FTDI.FT232R_EEPROM_STRUCTURE.InvertRXD = false

Inverts the sense of the RXD line

## ◆ InvertTXD

bool FTD2XX_NET.FTDI.FT232R_EEPROM_STRUCTURE.InvertTXD = false

Inverts the sense of the TXD line

## ◆ PullDownEnable

bool FTD2XX_NET.FTDI.FT232R_EEPROM_STRUCTURE.PullDownEnable = false

Determines if IOs are pulled down when the device is in suspend

## ◆ RIsD2XX

bool FTD2XX_NET.FTDI.FT232R_EEPROM_STRUCTURE.RIsD2XX = false

Determines if the VCP driver is loaded

## ◆ SerNumEnable

bool FTD2XX_NET.FTDI.FT232R_EEPROM_STRUCTURE.SerNumEnable = true

Determines if the serial number is enabled

## ◆ UseExtOsc

bool FTD2XX_NET.FTDI.FT232R_EEPROM_STRUCTURE.UseExtOsc = false

Disables the FT232R internal clock source.

If the device has external oscillator enabled it must have an external oscillator fitted to function

The documentation for this class was generated from the following file:

- C:/PROJECTS/C#/BSL430.NET/src/BSL430.NET/FTD2XX_NET.cs